Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula
Class SheetNameFormatter

    java.lang.Object
      org.apache.poi.ss.formula.SheetNameFormatter

    public final class SheetNameFormatter

extends java.lang.Object

Formats sheet names for use in formula expressions.

Author:
  Josh Micich

Method Summary
`static void` | `appendFormat(java.lang.StringBuffer out, java.lang.String rawSheetName)` Convenience method for (`format(String)`) when a StringBuffer is already available.
`static void` | `appendFormat(java.lang.StringBuffer out, java.lang.String workbookName, java.lang.String rawSheetName)`
`static java.lang.String` | `format(java.lang.String rawSheetName)` Used to format sheet names as they would appear in cell formula expressions.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### format

    public static java.lang.String format(java.lang.String rawSheetName)

  Used to format sheet names as they would appear in cell formula expressions.

  Returns:
    the sheet name unchanged if there is no need for delimiting. Otherwise the sheet name is enclosed in single quotes ('). Any single quotes which were already present in the sheet name will be converted to double single quotes ('').

### appendFormat

    public static void appendFormat(java.lang.StringBuffer out,
                                    java.lang.String rawSheetName)

  Convenience method for (`format(String)`) when a StringBuffer is already available.

  Parameters:
    `out` - - sheet name will be appended here possibly with delimiting quotes

### appendFormat

    public static void appendFormat(java.lang.StringBuffer out,
                                    java.lang.String workbookName,
                                    java.lang.String rawSheetName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD